package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.composite.UploadDecBidFileComposite;


public class UpLoadExpressBidFileAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		UploadDecBidFileComposite composite = new UploadDecBidFileComposite(parent, this.getTenderProject(), SWT.NONE);
		listener.loadComposite(this, composite);
 	}

}
